package net.knarcraft.ffmpegconverter.utility;

import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static junit.framework.TestCase.assertEquals;

public class ParserTest {

    @Test
    public void tokenize() {
        List<String> tokens = Parser.tokenize("arg1 \"arg 2 long\" arg3 \"arg 4\"");
        List<String> expected = new ArrayList<>();
        expected.add("arg1");
        expected.add("arg 2 long");
        expected.add("arg3");
        expected.add("arg 4");
        assertEquals(expected, tokens);
    }

}
